KScriptInterface class Reference (interfaces Library)

| # interfaces Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KScriptInterface Class Reference

This class is the base for all script engines. More...

`#include <scriptinterface.h>`

Inheritance diagram for KScriptInterface:

[legend]
Collaboration diagram for KScriptInterface:

[legend]
List of all members.

## Public Member Functions
virtual QString | script () const =0
| Return the current script code data.
virtual void | setScript (const QString &scriptFile)=0
| Sets the path to the script library that we are going to embed.
virtual void | setScript (const QString &scriptLibFile, const QString &method)=0
| Sets the path to the script library that we are going to embed.
virtual void | run (QObject *context=0, const QVariant &arg=0)=0
| Run the actual script code This can both take a context object that will be shared between the main application and a variant that will contain the arguments.
virtual void | kill ()=0
| Abort the scripts run.
## Public Attributes
KScriptClientInterface * | ScriptClientInterface
| This is the method for sending feedback to applications.

## Detailed Description

This class is the base for all script engines.

Author:
  Ian Reinhart Geiser <geiseri@kde.org>

Definition at line 45 of file scriptinterface.h.

## Member Function Documentation

virtual QString KScriptInterface::script | ( |  | ) | const`[pure virtual]`

| Return the current script code data. Returns: QString containing the currenly runable code

virtual void KScriptInterface::setScript | ( | const QString & | scriptFile | ) | `[pure virtual]`

| Sets the path to the script library that we are going to embed.

virtual void KScriptInterface::setScript | ( | const QString & | scriptLibFile,
|  | const QString & | method
| ) | `[pure virtual]`

| Sets the path to the script library that we are going to embed. The second argument is the function from the script library that we wish to call.

virtual void KScriptInterface::run | ( | QObject * | context = 0,
|  | const QVariant & | arg = 0
| ) | `[pure virtual]`

| Run the actual script code This can both take a context object that will be shared between the main application and a variant that will contain the arguments.

virtual void KScriptInterface::kill | ( |  | ) | `[pure virtual]`

| Abort the scripts run.

## Member Data Documentation

KScriptClientInterface* KScriptInterface::ScriptClientInterface

| This is the method for sending feedback to applications. example of how this works:
    		ScriptClientInterface->error( message_to_send_back_to_the_main_application );

Will send the error message back to the main application.

Definition at line 83 of file scriptinterface.h.

The documentation for this class was generated from the following file:

- scriptinterface.h

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:30:51 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001